### Name: BenchmarkAnalysis
### Title: Utilities and Benchmark Analysis
### Aliases: BenchmarkAnalysis ohlcPlot sharpeRatio sterlingRatio
###   maxDrawDown getReturns
### Keywords: math

### ** Examples

## SOURCE("fMultivar.D2-BenchmarkAnalysis")

## Not run: 
##D ## ohlcPlot -
##D    # Plot OHLC for SP500
##D    # ohlcPlot(x, ylab = "price", main = instrument)
##D    
##D ## sharpeRatio -
##D    xmpMultivar("\nStart: Sharpe Ratio > ")
##D    # Sharpe Ratio for DAX and FTSE:
##D    data(EuStockMarkets)
##D    dax = log(EuStockMarkets[, "DAX"])
##D    ftse = log(EuStockMarkets[, "FTSE"])
##D    # Ratios:
##D    sharpeRatio(dax)
##D    sharpeRatio(ftse)
##D    
##D ## maxDrawDown -
##D    xmpMultivar("\nNext: Max-Draw-Downs for the DAX Index >")
##D    par(mfrow = c(1, 1), cex = 0.7)
##D    data(EuStockMarkets)
##D    dax = log(EuStockMarkets[, "DAX"])
##D    mdd = maxDrawDown(dax)
##D    mdd
##D    # Plot DAX:
##D    plot(dax)
##D    segments(time(dax)[mdd$from], dax[mdd$from],
##D      time(dax)[mdd$to], dax[mdd$from])
##D    segments(time(dax)[mdd$from], dax[mdd$to],
##D      time(dax)[mdd$to], dax[mdd$to])
##D    mid = time(dax)[(mdd$from + mdd$to)/2]
##D    arrows(mid, dax[mdd$from], mid, dax[mdd$to], col = 2)
##D    title(main = "DAX: Max Drawdown")
##D    
##D ## getReturns -
##D    xmpMultivar("\nNext: Returns for the DAX Index >")
##D    par(mfrow = c(1, 1), cex = 0.7)
##D    data(EuStockMarkets)
##D    dax = log(EuStockMarkets[, "DAX"])
##D    plot(getReturns(dax))
##D    title(main = "DAX: Returns")
## End(Not run)



